#
# spec file for package python3-tinydb
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-tinydb
Version:        3.2.1
Release:        1.6
License:        MIT
Summary:        Tiny, document oriented database
Url:            https://github.com/msiemens/tinydb
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/t/tinydb/tinydb-%{version}.zip
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
TinyDB is a lightweight document oriented database optimized for your happiness :)
It's written in pure Python and has no external dependencies. The target are
small apps that would be blown away by a SQL-DB or an external database server.

%prep
%setup -q -n tinydb-%{version}
sed -i 's/\r$//' README.rst

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun Oct 30 2016 toddrme2178@gmail.com
- Initial version
